Ubuntu Discussion on Ubuntu on the Dell Inspiron Mini range of netbooks.

Reply
 
Thread Tools Display Modes
  (#1) Old
vickoxy vickoxy is offline
Senior Member
 
vickoxy's Avatar
 
Posts: 202
Join Date: Jan 2009
Location: Vienna, Austria
Default LPIA, Ubuntu and Canon MP620 Drivers? Newbie... - 01-25-2009, 07:20 AM

Hi,

first i apologize for my copy/paste-i am hoping to find solution as quick as possible...
So,
i am really newbie to ubuntu and i need help. I have dell mini 9 and have this lpia issue with the drivers for my canon mp620 (need basic printing).
So, i need to install these two files (drivers):
1. cnijfilter-common-2.80-1.i386.deb
2. cnijfilter-mp610series-2.80-2.i386.deb

I described my problem here (as V.):
http://mp610.blogspot.com/2007/11/se...-or-mp610.html
http://ubuntuforums.org/showthread.php?t=1048629

But trying to install these files i become this (i will upload two pics):

So, any help will be appreciated. I had Linux Linpus and Acer Aspire One and the Printer was working perfectly, and now i want to work it on Ubuntu

I don┬┤t know if someone has idea why i can not install two canon mp610 drivers-but i read that lpia means low power intel architecture. I don┬┤t know if that is relevant for my problem....

I have Gutenprint-foomatic 5.0.2. drivers on my Dell. So, it does printing, but the letters are stretched and layout is very strange (all letters have stripes...), as something is not ok. So, i installed the new version (using terminal) 5.2.3. but, although the new drivers are listed in print setup, they are totally unactive (3 new drivers do not work, and two old work but with those errors...)
For normal Ubuntu users gutenprint 5.0.2. should do the work for MP620 (with drivers of MP610), but for dell mini obviously it doesn┬┤t.
So i thought, maybe i can setup only these original two drivers (they worked on Linux Linpus-Fedora and Acer Aspire One) from Canon.
I hope i explained the problem.

P.S. I tried a commercial demo version of turboprint (turboprint.de), and everything works just fine with their drivers...
Attached Images
File Type: png Bildschirmfoto.4.png (63.4 KB, 19 views)
File Type: png Bildschirmfoto1.png (72.6 KB, 17 views)
File Type: png Bildschirmfoto2.png (49.1 KB, 28 views)
Reply With Quote
  (#2) Old
vickoxy vickoxy is offline
Senior Member
 
vickoxy's Avatar
 
Posts: 202
Join Date: Jan 2009
Location: Vienna, Austria
Default Re: LPIA, Ubuntu and Canon Drivers? Newbie... - 01-25-2009, 07:22 AM

And one more picture:
Attached Images
File Type: png Bildschirmfoto-1.png (77.7 KB, 21 views)
Reply With Quote
  (#3) Old
vickoxy vickoxy is offline
Senior Member
 
vickoxy's Avatar
 
Posts: 202
Join Date: Jan 2009
Location: Vienna, Austria
Default Re: LPIA, Ubuntu and Canon Drivers? Newbie... - 01-25-2009, 02:34 PM

Hi, i found here some instructions but i think it won┬┤t work with may dell mini?
https://answers.launchpad.net/dell-mini/+question/55910

But it interests me this command --force-architecture. Can someone explain me if i can use it to install those .deb drivers and does it have any influence on system?
Reply With Quote
  (#4) Old
vickoxy vickoxy is offline
Senior Member
 
vickoxy's Avatar
 
Posts: 202
Join Date: Jan 2009
Location: Vienna, Austria
Default Re: LPIA, Ubuntu and Canon Drivers? Newbie... - 01-25-2009, 03:56 PM

Ok, i solved my problem, so, if anyone has Canon mp620, just follows instructions here:
http://mp610.blogspot.com/2007/11/setup ... mp610.html

but to install these two canon drivers use command --force-architecture -i.
Thanks again!
Reply With Quote
  (#5) Old
Circs Circs is offline
Senior Member
 
Posts: 141
Join Date: Jan 2009
Location: NV, US
Default Re: LPIA, Ubuntu and Canon MP620 Drivers? Newbie... - 01-29-2009, 07:01 AM

Ah, I was so hoping I would get to you before you found that on your own, but you figured it well before I saw your thread good work!

Basically the problem is that stuff for i686 is compiled using a different instruction set than the lpia your machine is set up with. The Atom still can do i686 it just has a fit about it.


Netbooks -> Mini 9 - 2gb Gskill low latency - Ubuntu 8.04
Asus Eee 701 4g - 1gb - Ubuntu 8.04.1
Desktops -> Phenom Quad @ 2.8 - 16gb - 4x Raptor X in RAID 0 - 2x 4870X2
Brisbane 1.9 @ 2.7 - 4gb - 80gb
Many others, all Linux.
Reply With Quote
  (#6) Old
vickoxy vickoxy is offline
Senior Member
 
vickoxy's Avatar
 
Posts: 202
Join Date: Jan 2009
Location: Vienna, Austria
Default Re: LPIA, Ubuntu and Canon MP620 Drivers? Newbie... - 01-29-2009, 07:44 AM

Thanks anyway-i hoped it isn┬┤t big deal to set it up right. And i hope that others will find this thread helpful.
Reply With Quote
Reply

« Previous Thread | Next Thread »
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Copyright © 2008-2016 MyDellMini.com.